python3

module (bold = default) build dependencies
python3/3.4.0 gcc 4.4.7
python3/3.4.3/b1 intel 2013.1.046 intel/2013.1.046 zmq/b1
python3/3.6.1/b1 gcc/4.4.7

also see Using Software.